use mkoverlay::types::{OverlaySection, OverlaySlot};

fn generate_file() -> Vec<OverlaySlot> {
    let mut slots   = Vec::new();
    let mut slot    = OverlaySlot::new("slot_0".to_owned(), String::new());
    let mut section = OverlaySection::new("main_area".to_owned());

    section.add_file_pattern("bin/PSX-release/src/*.o".to_owned());

    slot.add_section(section);
    slots.push(slot);

    slots
}

fn main() {
    println!("Blubbi: {:?}", generate_file());
}